Package com.macrofocus.high_d.parallelcoordinatesmatrix

# Class AbstractParallelCoordinatesMatrixView<Component,Color,Row,Column>

java.lang.Object
com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrixView<Component,Color,Row,Column>

All Implemented Interfaces:
  `ParallelCoordinatesMatrixView<Component,Color>`

Direct Known Subclasses:
  `JavaFXParallelCoordinatesMatrixView`

public abstract class AbstractParallelCoordinatesMatrixView<Component,Color,Row,Column> extends Object implements ParallelCoordinatesMatrixView<Component,Color>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ParallelCoordinatesMatrixModel<Color,Row,Column>`
  `model`
  `protected ParallelCoordinates<Component,Color,Row,Column>`
  `parallelCoordinates`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractParallelCoordinatesMatrixView()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract ParallelCoordinates<Component,Color,Row,Column>`
  `createParallelCoordinates()`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  Returns the color theme to use.
  `protected abstract com.macrofocus.crossplatform.CPFactory<Component,?,?,Color>`
  `getFactory()`
  `ParallelCoordinatesMatrixModel`
  `getModel()`
  Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
  `protected static int`
  `getRowCount(int n)`
  `boolean`
  `isSelectionMode()`
  `boolean`
  `isShowTiming()`
  Returns whether information about refresh rate should be displayed.
  `protected abstract void`
  `refresh()`
  `void`
  `setAntialiasing(MutableProperty<Boolean> antialiasing)`
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  Sets the color theme to use.
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `void`
  `setModel(ParallelCoordinatesMatrixModel model)`
  Sets the data model and registers with it for listener notifications from the new data model.
  `void`
  `setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)`
  `void`
  `setSelectionMode(boolean value)`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`
  `void`
  `setShowTiming(boolean showTiming)`
  Sets whether information about refresh rate should be displayed.
  `protected void`
  `updateParallelCoordinatesModel()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.parallelcoordinatesmatrix.ParallelCoordinatesMatrixView

  `getClosestRow, getNativeComponent`

- ## Field Details

  - ### model

    protected ParallelCoordinatesMatrixModel<Color,Row,Column> model

  - ### parallelCoordinates

    protected ParallelCoordinates<Component,Color,Row,Column> parallelCoordinates

- ## Constructor Details

  - ### AbstractParallelCoordinatesMatrixView

    public AbstractParallelCoordinatesMatrixView()

- ## Method Details

  - ### createParallelCoordinates

    protected abstract ParallelCoordinates<Component,Color,Row,Column> createParallelCoordinates()

  - ### getModel

    public ParallelCoordinatesMatrixModel getModel()
    Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
    Specified by:
      `getModel` in interface `ParallelCoordinatesMatrixView<Component,Color>`
    Returns:
      the ScatterPlotModel that provides the data displayed by this ScatterPlotView
    See Also:
      - `ParallelCoordinatesMatrixView.setModel(ParallelCoordinatesMatrixModel)`

  - ### setModel

    public void setModel(ParallelCoordinatesMatrixModel model)
    Description copied from interface: `ParallelCoordinatesMatrixView`
    Sets the data model and registers with it for listener notifications from the new data model.
    Specified by:
      `setModel` in interface `ParallelCoordinatesMatrixView<Component,Color>`
    Parameters:
      `model` - the new data model
    See Also:
      - `ParallelCoordinatesMatrixView.getModel()`

  - ### refresh

    protected abstract void refresh()

  - ### getFactory

    protected abstract com.macrofocus.crossplatform.CPFactory<Component,?,?,Color> getFactory()

  - ### updateParallelCoordinatesModel

    protected void updateParallelCoordinatesModel()

  - ### isShowTiming

    public boolean isShowTiming()
    Description copied from interface: `ParallelCoordinatesMatrixView`
    Returns whether information about refresh rate should be displayed.
    Specified by:
      `isShowTiming` in interface `ParallelCoordinatesMatrixView<Component,Color>`
    Returns:
      true to display refresh rate information, false otherwise

  - ### setShowTiming

    public void setShowTiming(boolean showTiming)
    Description copied from interface: `ParallelCoordinatesMatrixView`
    Sets whether information about refresh rate should be displayed.
    Specified by:
      `setShowTiming` in interface `ParallelCoordinatesMatrixView<Component,Color>`
    Parameters:
      `showTiming` - true to display refresh rate information, false otherwise

  - ### isSelectionMode

    public boolean isSelectionMode()
    Specified by:
      `isSelectionMode` in interface `ParallelCoordinatesMatrixView<Component,Color>`

  - ### setSelectionMode

    public void setSelectionMode(boolean value)
    Specified by:
      `setSelectionMode` in interface `ParallelCoordinatesMatrixView<Component,Color>`

  - ### setLicenseModel

    public void setLicenseModel(LicenseModel licenseModel)
    Specified by:
      `setLicenseModel` in interface `ParallelCoordinatesMatrixView<Component,Color>`

  - ### getColorTheme

    public MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()
    Description copied from interface: `ParallelCoordinatesMatrixView`
    Returns the color theme to use.
    Specified by:
      `getColorTheme` in interface `ParallelCoordinatesMatrixView<Component,Color>`
    Returns:
      the color theme

  - ### setColorTheme

    public void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)
    Description copied from interface: `ParallelCoordinatesMatrixView`
    Sets the color theme to use.
    Specified by:
      `setColorTheme` in interface `ParallelCoordinatesMatrixView<Component,Color>`
    Parameters:
      `colorTheme` - the color theme to use

  - ### getRowCount

    protected static int getRowCount(int n)

  - ### setShowFiltered

    public void setShowFiltered(MutableProperty<Boolean> showFiltered)
    Specified by:
      `setShowFiltered` in interface `ParallelCoordinatesMatrixView<Component,Color>`

  - ### setRendering

    public void setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)
    Specified by:
      `setRendering` in interface `ParallelCoordinatesMatrixView<Component,Color>`

  - ### setAntialiasing

    public void setAntialiasing(MutableProperty<Boolean> antialiasing)
    Specified by:
      `setAntialiasing` in interface `ParallelCoordinatesMatrixView<Component,Color>`